'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _antd = require('antd');

var _reactCustomScrollbars = require('react-custom-scrollbars');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _require = require('yylib-ui'),
    YYReferInput = _require.YYReferInput,
    YYButton = _require.YYButton,
    YYModal = _require.YYModal,
    YYTableCol = _require.YYTableCol,
    YYTable = _require.YYTable,
    YYToolbar = _require.YYToolbar;

var ajax = require('yylib-utils/ajax');
var AuthToken = require("yylib-utils/AuthToken");
var FormItem = _antd.Form.Item;
var OptGroup = _antd.Select.OptGroup;
var RadioGroup = _antd.Radio.Group;
var mapStateToProps = function mapStateToProps(state) {

	return {
		bpm: state.bpm
	};
};

var YYMyAddsignApprove = function (_React$Component) {
	_inherits(YYMyAddsignApprove, _React$Component);

	function YYMyAddsignApprove(props) {
		_classCallCheck(this, YYMyAddsignApprove);

		var _this2 = _possibleConstructorReturn(this, (YYMyAddsignApprove.__proto__ || Object.getPrototypeOf(YYMyAddsignApprove)).call(this, props));

		_this2.doApprove = _this2.doApprove.bind(_this2);
		_this2.cancel = _this2.cancel.bind(_this2);
		_this2.beforeApprove = _this2.beforeApprove.bind(_this2);
		_this2.radionChange = _this2.radionChange.bind(_this2);
		_this2.state = {
			opinion: 1,
			customTip: '',
			showApprove: false,
			placeholder: "请输入审批语",
			errRecord: [],
			loadflag: false
		};
		return _this2;
	}

	_createClass(YYMyAddsignApprove, [{
		key: 'radionChange',
		value: function radionChange(e) {
			this.setState({
				opinion: e.target.value
			});
		}
	}, {
		key: 'inputOnChange',
		value: function inputOnChange(e) {
			this.setState({
				customTip: e.target.value
			});
		}
		//初始化渲染执行之后立刻调用一次

	}, {
		key: 'componentDidMount',
		value: function componentDidMount() {}

		//数据更新后通知此方法

	}, {
		key: 'componentWillReceiveProps',
		value: function componentWillReceiveProps(nextProps) {}

		//显示用户参照

	}, {
		key: 'beforeApprove',
		value: function beforeApprove(e) {}

		//审批操作

	}, {
		key: 'doApprove',
		value: function doApprove() {
			var userId = this.state.userId; //登  
			var bill = this.props.bill;
			var opinionContent = "同意";
			var opinion = this.state.opinion;

			var comment = this.state.customTip ? this.state.customTip : "";
			if (opinion == 2 && comment == '') {
				_antd.message.info("审批语不能为空！");
				return;
			}
			if (comment == "") {
				comment = opinionContent;
			}
			var approveObject = [];
			approveObject = {
				userId: this.props.userId ? this.props.userId : AuthToken.getUserId(),
				approveType: opinionContent,
				comment: comment,
				opinion: opinion,
				taskid: bill.taskid
			}; //回调数据
			this.onBpmApprove(approveObject);
		}
		//提交审批

	}, {
		key: 'onBpmApprove',
		value: function onBpmApprove(data) {
			var serUrl = this.props.serUrl;
			var param = {
				opttype: data.opinion,
				taskid: data.taskid,
				comment: data.comment,
				assignee: data.userId
			};
			var _this = this;
			var dispatch = this.props.dispatch;

			console.log(data, "data");
			ajax.postJSON(serUrl + "/icop-bpmcenter-web/addsign/completeSignTask", param, function (result) {
				if (result.success) {
					_antd.message.info(result.msg);
				}
				_this.cancel();
			});

			this.setState({ loadflag: true });
		}

		//取消审批

	}, {
		key: 'cancel',
		value: function cancel(e) {

			if (this.props.closeApprove) {
				this.props.closeApprove();
			}
			this.state.loadflag = false;
			this.state.customTip = "";
		}
	}, {
		key: 'render',
		value: function render() {
			var content = "";
			var radioText = null;
			var formItemLayout = {
				labelCol: { span: 4 },
				wrapperCol: { span: 19 }
			};
			var customTip = this.state.customTip;

			var approveTitle = [_react2.default.createElement(
				'div',
				null,
				'\u52A0\u7B7E\u4EFB\u52A1'
			)];
			var mainApproveModal = _react2.default.createElement(
				'div',
				{ className: content },
				_react2.default.createElement(
					_reactCustomScrollbars.Scrollbars,
					{ style: { height: 300 } },
					_react2.default.createElement(
						_antd.Form,
						{ horizontal: true, form: this.props.form },
						_react2.default.createElement(
							_antd.Row,
							null,
							_react2.default.createElement(
								_antd.Col,
								{ span: '23' },
								_react2.default.createElement(
									FormItem,
									_extends({
										label: '\u5BA1\u6279\u610F\u89C1\uFF1A'
									}, formItemLayout),
									_react2.default.createElement(
										RadioGroup,
										{ defaultValue: 1, onChange: this.radionChange },
										_react2.default.createElement(
											_antd.Radio,
											{ value: 1 },
											'\u540C\u610F'
										),
										_react2.default.createElement(
											_antd.Radio,
											{ value: 2 },
											'\u4E0D\u540C\u610F'
										)
									)
								)
							)
						),
						_react2.default.createElement(
							_antd.Row,
							null,
							_react2.default.createElement(
								_antd.Col,
								{ span: '23' },
								_react2.default.createElement(
									FormItem,
									_extends({ className: 'yyui-bpm-ant-form-item',
										id: 'control-textarea',
										label: '\u5BA1\u6279\u8BED\uFF1A'
									}, formItemLayout),
									_react2.default.createElement(_antd.Input, { type: 'textarea', placeholder: this.state.placeholder, value: customTip, onChange: this.inputOnChange.bind(this), className: 'yyui-bpm-textarea-input', rows: '5' })
								)
							)
						)
					)
				)
			);
			var footApproveModal = [_react2.default.createElement(
				'div',
				{ className: 'yyui-bpm-footBtn' },
				_react2.default.createElement(
					YYToolbar,
					{ align: 'center', style: { backgroundColor: "#fff" } },
					_react2.default.createElement(
						YYButton,
						{ onClick: this.cancel, 'data-id': 'cancel', type: 'error', disabled: false },
						'\u53D6\u6D88'
					),
					_react2.default.createElement(
						YYButton,
						{ onClick: this.doApprove, type: 'primary', loading: this.state.loadflag, disabled: this.state.loadflag },
						'\u786E\u8BA4'
					)
				)
			)];

			return _react2.default.createElement(
				'div',
				{ className: 'yyui-bpm-main' },
				_react2.default.createElement(
					_antd.Modal,
					{ style: { top: 50 },
						title: approveTitle,
						width: 630,
						visible: this.props.showApprove,
						closable: false,
						className: 'yyui-bpm-main',
						footer: footApproveModal },
					mainApproveModal
				)
			);
		}
	}]);

	return YYMyAddsignApprove;
}(_react2.default.Component);

;
module.exports = (0, _reactRedux.connect)(mapStateToProps)(YYMyAddsignApprove);