'use strict';

var _reactCustomScrollbars = require('react-custom-scrollbars');

var _antd = require('antd');

var React = require('react');

var _require = require('yylib-ui'),
    YYClass = _require.YYClass,
    YYPage = _require.YYPage,
    YYTabs = _require.YYTabs,
    YYTab = _require.YYTab,
    YYInput = _require.YYInput,
    YYButton = _require.YYButton,
    YYReferDialog = _require.YYReferDialog,
    YYToolbar = _require.YYToolbar,
    YYTable = _require.YYTable,
    YYTextarea = _require.YYTextarea,
    YYReferInput = _require.YYReferInput;

var FormItem = _antd.Form.Item;

var ajax = require('yylib-utils/ajax');
var AddSigncolumns = [{
	title: '被加签人',
	dataIndex: 'assigneeName'

}, {
	title: '加签时间',
	dataIndex: 'strCreatetime'
}, {
	title: '处理时间',
	dataIndex: 'strEndtime'
}, {
	title: '审批意见',
	dataIndex: 'stroptype'
}, {
	title: '审批语',
	dataIndex: 'comment'
}];
// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
// 例子：
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18
Date.prototype.Format = function (fmt) {
	//author: nature
	var o = {
		"M+": this.getMonth() + 1, //月份
		"d+": this.getDate(), //日
		"h+": this.getHours(), //小时
		"m+": this.getMinutes(), //分
		"s+": this.getSeconds(), //秒
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度
		"S": this.getMilliseconds() //毫秒
	};
	if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o) {
		if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
	}return fmt;
};
var YYMyaddsign = YYClass.create({
	getInitialState: function getInitialState() {
		return {
			comModal: false,
			tableKey: "1",
			userlistids: [],
			dataSource: [],
			usernames: "无"
		};
	},
	getCheckIds: function getCheckIds(key, name, values) {

		this.closeModal();
	},
	closeModal: function closeModal() {
		this.setState({ comModal: false });
	},
	save: function save() {
		var _this = this;
		var serUrl = _this.props.serUrl;
		if (this.state.userlistids == null || this.state.userlistids.length == 0) {
			_antd.message.info("请选择被加签的用户！");
			return;
		}
		var data = {
			userIds: this.state.userlistids,
			taskid: this.props.bill.taskid
		};
		ajax.postJSON(serUrl + "/icop-bpmcenter-web/addsign/save", data, function (result) {
			if (result.success) {
				_antd.message.info("加签成功！");
			}
			_this.cancel();
		});
	},

	componentDidMount: function componentDidMount(props) {
		var serUrl = this.props.serUrl;
		var _this = this;
		var data = {
			taskid: this.props.bill.taskid
		};
		ajax.getJSON(serUrl + "/icop-bpmcenter-web/addsign/getAll", data, function (result) {

			if (result && result.success) {
				var _data = result.data;
				var dataSource = [];
				var usernames = "";
				_data.map(function (value) {
					value.strCreatetime = new Date(value.createtime).Format("yyyy-M-d h:m:s");
					value.strEndtime = value.endtime ? new Date(value.endtime).Format("yyyy-M-d h:m:s") : null;
					value.stroptype = value.optype == 1 ? "同意" : "不同意";
					if (value.taskstate == 1) {
						dataSource.push(value);
					}
					usernames += value.assigneeName + "，";
				});
				_this.state.dataSource = dataSource;
				_this.setState({
					usernames: usernames.substr(0, usernames.length - 1)
				});
			}
		});
	},
	cancel: function cancel() {
		this.props.closeAddsign();
		this.setState({
			userlistids: null
		});
	},

	//改派
	changeUser: function changeUser(userlist) {
		var userlistids = [];
		userlist.map(function (value) {
			userlistids.push(value.id);
		});
		this.state.userlistids = userlistids;
	},
	onchangeTableKey: function onchangeTableKey(key) {
		console.log(key);
		this.setState({
			tableKey: key
		});
	},

	render: function render() {
		var addsignComp = React.createElement(
			'div',
			null,
			React.createElement(
				_antd.Form,
				{ horizontal: true, style: { margin: "10%" } },
				React.createElement(
					'div',
					null,
					React.createElement(
						FormItem,
						{ label: '\u88AB\u52A0\u7B7E\u4EBA', labelCol: { span: 4 }, wrapperCol: { span: 16 } },
						React.createElement(
							'div',
							null,
							React.createElement(YYReferInput, {
								serverUrl: this.props.refUrl,
								often: true,
								multiselect: true,
								onChange: this.changeUser.bind(this),
								onOk: this.getCheckIds.bind(this),
								onCancel: this.closeModal.bind(this),
								refinfokey: '00081' })
						)
					),
					React.createElement(
						FormItem,
						{ label: '\u52A0\u7B7E\u5904\u7406\u4EBA', labelCol: { span: 4 }, wrapperCol: { span: 16 } },
						React.createElement(YYTextarea, { type: 'textarea', autosize: true, disabled: true, showTitle: true, value: this.state.usernames })
					)
				)
			)
		);
		var footaddsignModal = [React.createElement(
			'div',
			{ className: 'yyui-bpm-footBtn' },
			React.createElement(
				YYToolbar,
				{ align: 'center', style: { backgroundColor: "#fff" } },
				React.createElement(
					YYButton,
					{ onClick: this.save, type: 'primary', loading: false, disabled: false },
					'\u52A0\u7B7E'
				),
				React.createElement(
					YYButton,
					{ onClick: this.cancel, 'data-id': 'cancel', type: 'error', disabled: false },
					'\u53D6\u6D88'
				)
			)
		)];
		var footaddsignCommentModal = [React.createElement(
			'div',
			{ className: 'yyui-bpm-footBtn' },
			React.createElement(
				YYToolbar,
				{ align: 'center', style: { backgroundColor: "#fff" } },
				React.createElement(
					YYButton,
					{ onClick: this.cancel, 'data-id': 'cancel', type: 'error', disabled: false },
					'\u5173\u95ED'
				)
			)
		)];
		return React.createElement(
			_antd.Modal,
			{ style: { top: 50 },
				title: "",
				width: 630,
				visible: true,
				closable: false,
				footer: this.state.tableKey == "1" ? footaddsignModal : footaddsignCommentModal
			},
			React.createElement(
				YYTabs,
				{ defaultActiveKey: '1', type: 'card', onChange: this.onchangeTableKey },
				React.createElement(
					YYTab,
					{ tab: '\u52A0\u7B7E', key: '1' },
					addsignComp
				),
				React.createElement(
					YYTab,
					{ tab: '\u52A0\u7B7E\u610F\u89C1', key: '2' },
					React.createElement(
						'div',
						{ style: { padding: 15 } },
						React.createElement(
							_reactCustomScrollbars.Scrollbars,
							{ style: { height: 300 } },
							React.createElement(YYTable, { bordered: true, columns: AddSigncolumns, dataSource: this.state.dataSource, pagination: true })
						)
					)
				)
			)
		);
	}
});
module.exports = YYMyaddsign;