'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _yylibUi = require('yylib-ui');

var _sscImageMng = require('./sscImageMng');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var field = _yylibUi.YYClass.field,
    PropTypes = _yylibUi.YYClass.PropTypes; /**
                                             * ncc影像管理
                                             * @author mxx
                                             */

var uiMeta = {
    name: 'ncc-image',
    fields: [
    //field 参数列表：字段属性名|属性默认值|属性类型|是否必填|属性描述
    //------------联查按钮配置------------//
    field('type', 'error', PropTypes.oneOf(['primary', 'success', 'info', 'warning', 'error', '']), false, '设置按钮类型，可选值为 primary|success|info|warning|error 或者不设'), field('buttonText', '影像管理', PropTypes.string, false, '设置按钮的文本'), field('visible', true, PropTypes.bool, false, '设置按钮是否显示'), field('disabled', false, PropTypes.bool, false, '设置按钮是否禁用'), field('ghost', true, PropTypes.bool, false, '设置按钮为不填充形态')]
};

var NccImageButton = _yylibUi.YYClass.create({

    uiMeta: uiMeta,
    displayName: 'NccImageButton',

    handleButtonClick: function handleButtonClick(clickKey) {
        var _this = this;

        if (clickKey === 'image-view') {

            //必须存在前事件进行传参
            if (_.isFunction(this.props.viewOnBefore)) {
                var beforeResult = this.props.viewOnBefore();
                //传递参数
                if (beforeResult) {
                    this.viewImage(beforeResult, function () {
                        if (_.isFunction(_this.props.viewOnAfter)) {
                            //后事件
                            _this.props.viewOnAfter();
                        }
                    });
                } else {
                    _yylibUi.YYMessage.error("请定义viewOnBefore方法，返回值格式{data:{}}");
                }
            }
        } else if (clickKey === 'image-scan') {
            //必须存在前事件进行传参
            if (_.isFunction(this.props.scanOnBefore)) {
                var _beforeResult = this.props.scanOnBefore();
                //传递参数
                if (_beforeResult) {
                    this.scanImage(_beforeResult, function () {
                        if (_.isFunction(_this.props.scanOnAfter)) {
                            //后事件
                            _this.props.scanOnAfter();
                        }
                    });
                } else {
                    _yylibUi.YYMessage.error("请定义scanOnBefore方法，返回值格式{data:{},checkscanway:''}");
                }
            }
        }
    },


    //查看操作
    viewImage: function viewImage(param, callback) {
        if (param.data) {
            (0, _sscImageMng.imageView)(param, function () {
                callback && callback();
            });
        } else {
            _yylibUi.YYMessage.error("缺少必要参数 data!");
        }
    },
    scanImage: function scanImage(param, callback) {
        if (!param.data || !param.checkscanway) {
            _yylibUi.YYMessage.error("缺少必要参数 data 或者 checkscanway!");
        } else {
            (0, _sscImageMng.imageScan)(param, function () {
                callback && callback();
            });
        }
    },
    render: function render() {
        var _props = this.props,
            visible = _props.visible,
            type = _props.type,
            buttonText = _props.buttonText,
            disabled = _props.disabled,
            ghost = _props.ghost;

        return _react2.default.createElement(
            'div',
            { className: this.className(), style: { display: 'inline-block' } },
            _react2.default.createElement(
                _yylibUi.YYButtonSelect,
                { onClick: this.handleButtonClick, clickKey: 'parent', buttonText: buttonText, type: type,
                    ghost: ghost, disabled: disabled, visible: visible },
                _react2.default.createElement(
                    _yylibUi.YYButtonItem,
                    { clickKey: 'image-view' },
                    '\u5F71\u50CF\u67E5\u770B'
                ),
                _react2.default.createElement(
                    _yylibUi.YYButtonItem,
                    { clickKey: 'image-scan' },
                    '\u5F71\u50CF\u626B\u63CF'
                )
            )
        );
    }
});
module.exports = NccImageButton;