'use strict';

var React = require('react');
var YYClass = require('../../base/YYClass');
var PropTypes = YYClass.PropTypes;
var field = YYClass.field;

var _require = require('antd'),
    DatePicker = _require.DatePicker;

var RangePicker = DatePicker.RangePicker;
require('./style/index.less');
var uiMeta = {
    name: 'rangepicker',
    fields: [
    // field参数列表：字段属性名|属性默认值|属性类型|是否必填|属性描述
    field('value', undefined, PropTypes.oneOf([PropTypes.string, PropTypes.instanceOf(Date)]), false, '日期'), field('defaultValue', undefined, PropTypes.oneOf([PropTypes.string, PropTypes.instanceOf(Date)]), false, '默认日期'), field('format', "yyyy-MM-dd", PropTypes.string, false, '展示的日期格式'), field('onChange', null, PropTypes.func, true, '时间发生变化的回调'), field('showTime', false, PropTypes.oneOf([PropTypes.object, PropTypes.bool]), false, '增加时间选择功能')]
};

var YYRangePicker = YYClass.create({
    uiMeta: uiMeta,
    getInitialState: function getInitialState() {
        return {};
    },
    render: function render() {
        return React.createElement(
            'div',
            { className: this.className() },
            React.createElement(
                RangePicker,
                this.props,
                this.props.children
            )
        );
    }
});
module.exports = YYRangePicker;