'use strict';

/**
 * Created by wuhao on 16/7/19.
 */

var React = require('react');
var YYClass = require('../base/YYClass');
var YYIcon = require('../icon/YYIcon');
var YYInput = require('../formcontrols/input/YYInput');
require('./style/index.less');

function noop() {}
var uiMeta = {
    name: 'transfer-search',
    fields: []
};
var YYTransferSearch = YYClass.create({
    uiMeta: uiMeta,
    getDefaultProps: function getDefaultProps() {
        return {
            searchPlaceholder: '',
            handleOnInputChange: noop,
            handleClear: noop,
            handleFindPrevious: noop,
            handleFindNext: noop
        };
    },
    handleOnInputChange: function handleOnInputChange(e) {
        this.props.handleOnInputChange(e);
    },
    handleClear: function handleClear(e) {
        e.preventDefault();
        this.props.handleClear(e);
    },
    handleFindPrevious: function handleFindPrevious(e) {
        this.props.handleFindPrevious(e);
    },
    handleFindNext: function handleFindNext(e) {
        this.props.handleFindNext(e);
    },
    render: function render() {
        var value = this.props.value;

        return React.createElement(
            'div',
            { className: this.className() },
            React.createElement(YYInput, { placeholder: this.props.searchPlaceholder,
                onClearClick: this.handleClear,
                onPressEnter: this.handleFindNext,
                onChange: this.handleOnInputChange,
                value: value
            })
        );
    }
});

module.exports = YYTransferSearch;